RESTinio

Public Types | Private Types | List of all members
nonstd::variants::detail::typelist_type_is_unique< List, CmpIndex, LastChecked > Struct Template Reference

`#include <variant.hpp>`

## Public Types
enum | V { value }

## Private Types
typedef typelist_type_at< List, CmpIndex >::type | cmp_type
typedef typelist_type_at< List, LastChecked-1 >::type | cur_type

## Detailed Description

template<class List, std::size_t CmpIndex, std::size_t LastChecked = typelist_size<List>::value>
struct nonstd::variants::detail::typelist_type_is_unique< List, CmpIndex, LastChecked >

Definition at line 819 of file variant.hpp.

## Member Typedef Documentation

## ◆ cmp_type

template<class List , std::size_t CmpIndex, std::size_t LastChecked = typelist_size<List>::value>

typedef typelist_type_at<List,CmpIndex>::type nonstd::variants::detail::typelist_type_is_unique< List, CmpIndex, LastChecked >::cmp_type
| private

Definition at line 822 of file variant.hpp.

## ◆ cur_type

template<class List , std::size_t CmpIndex, std::size_t LastChecked = typelist_size<List>::value>

typedef typelist_type_at<List,LastChecked-1>::type nonstd::variants::detail::typelist_type_is_unique< List, CmpIndex, LastChecked >::cur_type
| private

Definition at line 823 of file variant.hpp.

## Member Enumeration Documentation

## ◆ V

template<class List , std::size_t CmpIndex, std::size_t LastChecked = typelist_size<List>::value>

enum nonstd::variants::detail::typelist_type_is_unique::V

Enumerator
value |

Definition at line 826 of file variant.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/variant-lite/variant.hpp